IPTC(1)

NAME
iptc - Utility for viewing and modifying the contents of IPTC metadata in images.

SYNOPSIS

iptc [[-q] | [--quiet]] [[-b] | [--backup]] [[-s] | [--sort]] [[-v VALUE] | [--value=VALUE]] [[[-l] | [--list]] [[-L TAGS] | [--list-desc=TAGS]] [[-a TAGS] | [--add=TAGS]] [[-m TAGS] | [--modify=TAGS]] [[-d TAGS] | [--delete=TAGS]] [[-p TAGS] | [--print=TAGS]]] [--help] [--version] [file...]

DESCRIPTION

This manual page documents briefly the iptc command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

iptc is a IPTC data editor. You can add, modify and delete ITPC metadata in images. You can also get the value of a particular tag.

-q, --quiet
    Produce less verbose output.

-b, --backup
    Backup any modified files.

-s, --sort
    Sort tags before displaying or saving.

--help
    Display an help message and exit.

--version
    Display an iptc version number and exit.

-l, --list
    List the name of all known tags (i.e. Caption, etc).

-L TAG, --list-desc=TAG
    Print the name and description of TAG.

-a TAG, --add=TAG
    Add new tag with identifier TAG.

-m TAG, --modify=TAG
    Modify tag with identifier TAG (add if not present).

-v VALUE, --value=VALUE
    Value for added/modified tag.

-d TAG, --delete=TAG
    Delete tag with identifier TAG.

-p TAG, --print=TAG
    Print value of tag with identifier TAG.

file
    Files to edit.

EXAMPLES

Display the IPTC metadata contained in image.jpg: iptc image.jpg

Set caption "Foo" in all jpegs of the current dir: iptc -m Caption -v "Foo" *.jpg

Add keyword "vacation" to all jpegs: iptc -a Keywords -v "vacation" *.jpg

LICENSE

This manual page was written by Sylvain Le Gall<gildor@debian.org> for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 2.1 or any later version published by the Free Software Foundation; considering as source code all the file that enable the production of this manpage.

AUTHOR

Sylvain Le Gall <gildor at-smtp-server debian.org>
    Author.

COPYRIGHT
Copyright © 2007 Sylvain Le Gall